ContinuationFilter (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.continuation

## Class ContinuationFilter

- java.lang.Object
- - org.eclipse.jetty.continuation.ContinuationFilter

- All Implemented Interfaces:
    javax.servlet.Filter

      public class ContinuationFilter
      extends Object
      implements javax.servlet.Filter

  ContinuationFilter must be applied to servlet paths that make use of the asynchronous features provided by `Continuation` APIs, but that are deployed in servlet containers that are neither Jetty (>= 7) nor a compliant Servlet 3.0 container.

  The following init parameters may be used to configure the filter (these are mostly for testing):

  debug
    Boolean controlling debug output
  jetty6
    Boolean to force use of Jetty 6 continuations
  faux
    Boolean to force use of faux continuations

  If the servlet container is not Jetty (either 6 or 7) nor a Servlet 3 container, then "faux" continuations will be used.

  Faux continuations will just put the thread that called `Continuation.suspend()` in wait, and will notify that thread when `Continuation.resume()` or `Continuation.complete()` is called.

  Faux continuations are not threadless continuations (they are "faux" - fake - for this reason) and as such they will scale less than proper continuations.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `ContinuationFilter.FilteredContinuation`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContinuationFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()`
    `void` | `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`
    `void` | `init(javax.servlet.FilterConfig filterConfig)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContinuationFilter

          public ContinuationFilter()

  - ### Method Detail

    - #### init

          public void init(javax.servlet.FilterConfig filterConfig)
                    throws javax.servlet.ServletException

      Specified by:
        `init` in interface `javax.servlet.Filter`
      Throws:
        `javax.servlet.ServletException`

    - #### doFilter

          public void doFilter(javax.servlet.ServletRequest request,
                      javax.servlet.ServletResponse response,
                      javax.servlet.FilterChain chain)
                        throws IOException,
                               javax.servlet.ServletException

      Specified by:
        `doFilter` in interface `javax.servlet.Filter`
      Throws:
        `IOException`
        `javax.servlet.ServletException`

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `javax.servlet.Filter`

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.